Loading...
Searching...
No Matches
casacore::String_global_functions_common Struct Reference
casa package (libcasa_casa) » BasicSL_module

Some general functions Functions to find special patterns, join and replicate . More...

`#include <String.h>`

## Public Member Functions

String | common_prefix (const string &x, const string &y, Int startpos=0)
String | common_suffix (const string &x, const string &y, Int startpos=-1)
String | replicate (Char c, String::size_type n)
String | replicate (const string &str, String::size_type n)
String | join (string src[], Int n, const string &sep)

## Detailed Description

Some general functions Functions to find special patterns, join and replicate .

Definition at line 980 of file String.h.

## Member Function Documentation

## common_prefix()

String casacore::String_global_functions_common::common_prefix | ( | const string & | x,
|  | const string & | y,
|  | Int | startpos = 0 )

## common_suffix()

String casacore::String_global_functions_common::common_suffix | ( | const string & | x,
|  | const string & | y,
|  | Int | startpos = -1 )

## join()

String casacore::String_global_functions_common::join | ( | string | src[],
|  | Int | n,
|  | const string & | sep )

## replicate() [1/2]

String casacore::String_global_functions_common::replicate | ( | Char | c,
|  | String::size_type | n )

## replicate() [2/2]

String casacore::String_global_functions_common::replicate | ( | const string & | str,
|  | String::size_type | n )

The documentation for this struct was generated from the following file:

- casa/BasicSL/String.h